Bug 19288 - Xconfigurator picks the wrong board when multiple exist, even if others are disabled
Summary: Xconfigurator picks the wrong board when multiple exist, even if others are d...
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: Xconfigurator (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-17 22:02 UTC by Alan Cox
Modified: 2007-04-18 16:29 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-31 16:04:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alan Cox 2000-10-17 22:02:43 UTC
On a SIS530 chipset board with an ATI rage card plugged into it and onboard
video Xconfigurator tries to write an Xconfig file for the onboard video
even when its not the primary card. Xconfigurator should check the card is
occupying the ISA legacy video windows before configuring it in preference
to another card.

If it owns some of the 0xD0000->0xDFFFF range addresses then its the
primary card.

Comment 1 Trond Eivind Glomsrxd 2000-10-17 22:05:30 UTC
Xconfigurator FTTB can't handle multiple video cards (e.g. selecting one of
them). This will be added in the rewrite.

Comment 2 Alan Cox 2001-01-31 16:04:41 UTC
Note this change of title is misleading. The on board video is NOT available its
PCI resources are
disabled. Thus this is seperate to things like having four 3DFX cards in a
single PC. Its a bug that
wants fixing not a quirk.

Title adjusted


Comment 3 Preston Brown 2001-01-31 21:28:45 UTC
as of kudzu 0.92, soon available in rawhide, disabled video cards will be
skipped.


Note You need to log in before you can comment on or make changes to this bug.